2019-04-19 09:13 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000476mercuryBugpublic2019-04-08 03:16
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000476: Compiler aborts during typeclass check
DescriptionWith the attached test case, rotd-2019-02-23 aborts with the following error:

Uncaught Mercury exception:
Software Error: check_hlds.check_typeclass: predicate `check_hlds.check_typeclass.check_instance_pred'/14: Unexpected: no constraint on class method

rather than printing a proper error message.

Steps To ReproduceCompile with: mmc -C
TagsNo tags attached.
Attached Files
  • ? file icon bug476.m (1,694 bytes) 2019-04-07 15:20

-Relationships
+Relationships

-Notes

~0001022

zs (developer)

Fix committed 2019 april 8.
+Notes

-Issue History
Date Modified Username Field Change
2019-04-07 15:20 juliensf New Issue
2019-04-07 15:20 juliensf File Added: bug476.m
2019-04-07 20:56 zs Assigned To => zs
2019-04-07 20:56 zs Status new => assigned
2019-04-08 03:16 zs Status assigned => resolved
2019-04-08 03:16 zs Resolution open => fixed
2019-04-08 03:16 zs Note Added: 0001022
+Issue History